import { defineComponent as s, useCssVars as g, unref as o, toRefs as i, openBlock as m, createElementBlock as h, createElementVNode as c, createVNode as t, pushScopeId as C, popScopeId as v } from "vue";
import n from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const x = (e) => (C("data-v-f3ad874c"), e = e(), v(), e), y = { class: "icons" }, b = /* @__PURE__ */ x(() => /* @__PURE__ */ c("div", { class: "left" }, null, -1)), E = { class: "right" }, I = { class: "title" }, S = s({ name: "EComponent02" }), N = /* @__PURE__ */ s({
  ...S,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(e) {
    const a = e;
    g((u) => ({
      "3b091e9e": o(_) + "px",
      "21511ae2": o(d)
    }));
    const { valueConfig: l, imageConfig: r, unitConfig: f, lineConfig: p } = i(a.chartConfig.option), { color: d, width: _, height: V } = i(p.value);
    return (u, k) => (m(), h("div", y, [
      b,
      c("div", E, [
        t(n, {
          config: o(r),
          type: "img",
          class: "aaa"
        }, null, 8, ["config"]),
        c("div", I, [
          t(n, {
            config: o(l),
            type: "number"
          }, null, 8, ["config"]),
          t(n, {
            config: o(f),
            type: "text"
          }, null, 8, ["config"])
        ])
      ])
    ]));
  }
});
export {
  N as default
};
